﻿@model RaamatukoguAPP11.Raamat

@{
    ViewBag.Title = "Kustuta";
}

<h2>Kustuta raamat</h2>

<h3>Kas soovid raamatu andmebaasist kustutada?</h3>
<div>
    <h4>Raamat</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Isbn)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Isbn)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Tiitel)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Tiitel)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Autor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Autor)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Aasta)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Aasta)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Pilt)
        </dt>

        <dd>
            @*@Html.DisplayFor(model => model.Pilt)*@
            <img src='@Url.Action( "RaamatuPilt", "Raamats", new { id = Model.Kood } )' height="300" />
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Kustuta" class="btn btn-default" /> |
            @Html.ActionLink("Raamatute nimekiri", "Index")
        </div>
    }
</div>
